//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2014.08.29 at 01:16:10 PM CEST
//


package net.ihe.gazelle.goc.ecore;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;



/**
 * <p>EPackage class.</p>
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "EPackage")
public class EPackage {

    @XmlAttribute(name = "base_Package", required = true)
    private String basePackage;

    @XmlAttribute(name = "packageName", required = true)
    private String packageName;

	/**
	 * <p>Getter for the field <code>basePackage</code>.</p>
	 *
	 * @return a {@link java.lang.String} object.
	 */
	public String getBasePackage() {
		return basePackage;
	}

	/**
	 * <p>Setter for the field <code>basePackage</code>.</p>
	 *
	 * @param basePackage a {@link java.lang.String} object.
	 */
	public void setBasePackage(String basePackage) {
		this.basePackage = basePackage;
	}

	/**
	 * <p>Getter for the field <code>packageName</code>.</p>
	 *
	 * @return a {@link java.lang.String} object.
	 */
	public String getPackageName() {
		return packageName;
	}

	/**
	 * <p>Setter for the field <code>packageName</code>.</p>
	 *
	 * @param packageName a {@link java.lang.String} object.
	 */
	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

}
